## haskell-ranged-sets 0.3.0

=== tests/Makefile ===
# Tests for Ranged Sets.

all:
	ghc --make -fhpc -i.. -odir . -hidir . -Wall Main.hs -o test-rset
	rm -f test-rset.tix
	./test-rset
	hpc markup --destdir=Report test-rset
	hpc report test-rset

clean:
	rm -fR Data
	rm -f test-rset.tix
	rm -f test-rset
	rm -f *.o *.hi
	rm -fR Report

=== debian/changelog ===
haskell-ranged-sets (0.3.0-7) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:52:50 +0200

haskell-ranged-sets (0.3.0-6) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:11:51 +0100

haskell-ranged-sets (0.3.0-5) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:39 +0200

haskell-ranged-sets (0.3.0-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:48 +0200

haskell-ranged-sets (0.3.0-3) experimental; urgency=low

  [ Giovanni Mascellani ]
  * Team upload.
  * Fix Homepage: link

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:52 +0200

haskell-ranged-sets (0.3.0-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Iain Lane <laney@debian.org>  Thu, 23 Feb 2012 11:17:36 +0000

haskell-ranged-sets (0.3.0-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Tue, 14 Jun 2011 10:46:07 -0400

=== debian/control ===
Source: haskell-ranged-sets
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.9)
  , ghc
  , ghc-prof
  , libghc-hunit-dev
  , libghc-hunit-prof
  , libghc-quickcheck2-dev
  , libghc-quickcheck2-prof
  , happy
  , alex
Build-Depends-Indep: ghc-doc
  , libghc-hunit-doc
  , libghc-quickcheck2-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/Ranged-sets
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-ranged-sets
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-ranged-sets

Package: libghc-ranged-sets-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Ranged sets library${haskell:ShortBlurb}
 A ranged set is an ordered list of ranges. This allows sets such as all
 reals x such that:
 .
 (0.25 < x <= 0.75 or 1.4 <= x < 2.3 or 4.5 < x)
 .
 Alternatively you can have all strings s such that:
 .
     ("F" <= s < "G")
 .
 ${haskell:Blurb}

Package: libghc-ranged-sets-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Ranged sets library${haskell:ShortBlurb}
 A ranged set is an ordered list of ranges. This allows sets such as all
 reals x such that:
 .
 (0.25 < x <= 0.75 or 1.4 <= x < 2.3 or 4.5 < x)
 .
 Alternatively you can have all strings s such that:
 .
     ("F" <= s < "G")
 .
 ${haskell:Blurb}

Package: libghc-ranged-sets-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Ranged sets library${haskell:ShortBlurb}
 A ranged set is an ordered list of ranges. This allows sets such as all
 reals x such that:
 .
 (0.25 < x <= 0.75 or 1.4 <= x < 2.3 or 4.5 < x)
 .
 Alternatively you can have all strings s such that:
 .
     ("F" <= s < "G")
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/Ranged-sets/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
